Slash

Hi! There's instructions on how to move to PHP 7 - https://danfa.net/forum/thread/611/

What should I do more, to translate fully?

Thank you.

Last update on July 7, 2018 by Slash.
Be the first person to like this.
Osii
Is the error still there? Will it work with 3rd party modules installed or all of then will have to be modified? Phpfox should lauch a last Nebula update to php 7.
Thanks.
Be the first person to like this.
Donna(data66)
Is the error still there? Will it work with 3rd party modules installed or all of then will have to be modified? Phpfox should lauch a last Nebula update to php 7.
Thanks.
We already launched the final Nebula v3 version. We won't be making any more improvements or fixes to v3. You would need to upgrade to Neutron to get more modern coding.
Be the first person to like this.
Slash
At the moment I almost completely translated php 7.
On php 7 does not work:
- Do not load photos.
- Does not boot wall when scrolling down.
Where and what to change?
Be the first person to like this.
Gatsby
At the moment I almost completely translated php 7.
On php 7 does not work:
- Do not load photos.
- Does not boot wall when scrolling down.
Where and what to change?
If you are on version 3, see post 3 above. If you are on version 4, to my knowledge it has not yet been declared fully compatible with PHP 7. There is a definite speed advantage with PHP7 and I look forward to using it, but the script needs to be tested stable and safe for use with that version first, so I can only advise to wait and stay tuned for official announcements from phpFox.
Last update on May 11, 2016 by Gatsby.
Be the first person to like this.
Slash

If you are on version 3, see post 3 above. If you are on version 4, to my knowledge it has not yet been declared fully compatible with PHP 7. There is a definite speed advantage with PHP7 and I look forward to using it, but the script needs to be tested stable and safe for use with that version first, so I can only advise to wait and stay tuned for official announcements from phpFox.
My version 3 (3.9.0). Pass to 4 have not yet want.

On php 7 I translate itself - https://danfa.net/forum/thread/611/

Last update on July 7, 2018 by Slash.
Be the first person to like this.
Slash
Appeared solution?
Be the first person to like this.
Osii
Hi Slash,
Have you found the remaining solutions? The developers should release this last upgrade. They said they would stop upgrading phpfox before 3.9, but they still did some last ones. This is vital for those how still run v3.
Thanks and great job.
Be the first person to like this.
Donna(data66)
Hi Slash,
Have you found the remaining solutions? The developers should release this last upgrade. They said they would stop upgrading phpfox before 3.9, but they still did some last ones. This is vital for those how still run v3.
Thanks and great job.
V3.9 is end of life as we said in our blog. We won't go back and provide updates to end of life products as we still have clients using v1 too and we just cannot update end of life products. For those using legacy versions, you will need to seek help from third parties or perhaps do the updates yourself if you can.
Be the first person to like this.
Slash

Hi Slash, Have you found the remaining solutions? The developers should release this last upgrade. They said they would stop upgrading phpfox before 3.9, but they still did some last ones. This is vital for those how still run v3. Thanks and great job.
I completely switched to php 7 yourself.

All I did was writing in this topic: https://danfa.net/forum/thread/611/

Last update on July 7, 2018 by Slash.
Osii
Thank you all.
Just to clear out, this will only work for the core and not for the third party modules right? For those, the translation will be necessary as well?
Be the first person to like this.
Slash
In general, problems with the transition, I did not have.
If there are problems, you can ask here
Last update on August 29, 2016 by Donna(data66).
Donna(data66)
Please post in this forum any solutions you have as this forum is for our community. Thanks.
Be the first person to like this.
Slash
Please post in this forum any solutions you have as this forum is for our community. Thanks.
All code (Все правки): https://danfa.net/forum/thread/611/
Be the first person to like this.
All code (Все правки): https://danfa.net/forum/thread/611/
Like we all speak Russian...
Be the first person to like this.